FAQ: ICE-1000/ICE-2000 detected as an ICE-100B after working with VisualDSP++ 5.1.1

Document created by DavidS on Oct 10, 2014Last modified by ErinH on Sep 14, 2016
Version 3Show Document
  • View in full screen mode

ICE-1000/ICE-2000 detected as an ICE-100B after working with VisualDSP++ 5.1.1

 

We’re aware of an issue in VisualDSP++ 5.1.1 where the ICE-1000/ICE-2000 can sometimes be updated with firmware for the ICE-100B, rendering the emulator unusable. 

 

To resolve this issue we have created a new version of VisualDSP++, 5.1.2, where the bug has been addressed. If you use the ICE-1000/ICE-2000 with VisualDSP++ 5.1.1 we strongly recommend you download and install VisualDSP++ 5.1.2 which is available free of charge here. The Release Note for VisualDSP++ 5.1.2 can be found here.


If your emulator has been affected by this issue, it will appear as ‘ICE-100B JTAG Emulator’ under ‘ADI Development Tools’ in your machine’s Device Manager following your acceptance of a firmware update message.

 

Unfortunately there isn't a way to fix the emulator if it’s been affected. If you believe your ICE-1000/ICE-2000 has been incorrectly updated with ICE-100B firmware, please contact private support.

Attachments

    Outcomes